
-- leave me
	local actor = ACTOR_preload()
-- leave me


	-- default for this beastie
	actor[cp_actor_name]		= "crystal_large"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "crystal-1_1"

	actor[cp_move_type]			= cmt_fixed_dirn + cmt_random

	actor[cp_actor_type]			= cat_crystal
	actor[cp_i_collide_with_beasties]	= cat_fence + cat_fizz + cat_player + cat_block + cat_blocker + cat_webblob + cat_mergeblob
--	actor[cp_these_collide_with_me]		= cat_player + cat_bullet + cat_crystal

	actor[cp_score]				= 100
	actor[cp_hit_power]			= 5.0

	-- movement
	actor[cp_move_speed_min]		= 0.1
	actor[cp_move_speed_max]		= 0.15
	actor[cp_move_inertia_decn]		= 1.0

	actor[cp_spin_speed_min]		= 0.125
	actor[cp_spin_speed_max]		= 0.625
	-- spin1_x
	actor[cp_turn_speed_moving]		= 0.1

	actor[cp_weight]				= 24.0

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 100.0

	actor[cp_launch_hue_shift] = color

	actor[cp_hit_delay]			= 2.55
	actor[cp_fade_in_translucent]	= 1

	actor[cp_max_explosion_multiply]	= 1.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "crystalmesh", 60.0 )

	c_set_random_anim( "throb", 50.0, 200.0, 0.0, 1.0 )
	c_add_sound_to_anim( "throb", "moon", 1 )

	local seq = { 0.0 }
	c_set_use_explosion_for( "bye_bye", "crystal1_lar", exp_no_align, 100.0, 0.7, 2200.0, 2400.0, seq )
	c_add_particle_to_explosion( "crystal1_lar", "explode", "", "crystal1exp-lar" )
	c_add_sound_to_explosion( "crystal1_lar", "explode", "crystal_exp1" )
	c_add_sound_to_event( "hit_fence", "crystal_exp1" )
	c_add_particle_to_anim( "emerge", "crystalmesh", "crystal-emergepad" )

	-- new state
	c_set_trigger_mutate( "crystal_medium", "my_health", 0.0, 0.0, 2, 3, 95.0, 105.0 )
	-- new state

